"{ Package: 'ctu:ircompiler' }"

IRAccess subclass:#IRInstVarAccess
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'NewCompiler-IR'
!

IRInstVarAccess comment:'when closures disabled, Field describes an instVar. With closures, it describes a 
fieldaccess with receiver to be accessed pushed first.'
!


!IRInstVarAccess methodsFor:'testing'!

isInstVarAccess
	^true.
!

varname
    name 
        ifNil:[
            name := self method compiledCode methodClass allInstVarNames 
                        at:self offset
        ].
    ^ name.
! !

!IRInstVarAccess class methodsFor:'documentation'!

version
    ^ '$Id$'
!

version_CVS
    ^ 'Header: /cvs/stx/cvut/stx/goodies/newcompiler/IRInstVarAccess.st,v 1.3 2009/10/08 12:01:34 fm Exp '
!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
