"{ Package: 'ctu:ircompiler' }"

IRJump subclass:#IRJumpOverBlock
	instanceVariableNames:'blockSequence'
	classVariableNames:''
	poolDictionaries:''
	category:'NewCompiler-IR'
!


!IRJumpOverBlock methodsFor:'accessing'!

blockSequence
	^blockSequence
!

blockSequence: instr
	blockSequence := instr.
!

successorSequences

    ^ Array with: destination with: blockSequence

    "Modified: / 11-06-2008 / 13:31:19 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!IRJumpOverBlock methodsFor:'interpret'!

executeOn: interpreter
	^ interpreter jumpOverBlock:  blockSequence orderNumber to: destination orderNumber
! !

!IRJumpOverBlock methodsFor:'testing'!

isJumpOverBlock
	^true.
! !

!IRJumpOverBlock class methodsFor:'documentation'!

version
    ^ '$Id$'
!

version_CVS
    ^ 'Header: /cvs/stx/cvut/stx/goodies/newcompiler/IRJumpOverBlock.st,v 1.3 2009/10/08 11:56:16 fm Exp '
!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
